Merge from trunk.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2013 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module at-internal:
44 # Code from module c-ctype:
45 # Code from module c-strcase:
46 # Code from module careadlinkat:
47 # Code from module clock-time:
48 # Code from module close-stream:
49 # Code from module crypto/md5:
50 # Code from module crypto/sha1:
51 # Code from module crypto/sha256:
52 # Code from module crypto/sha512:
53 # Code from module dirent:
54 # Code from module dosname:
55 # Code from module dtoastr:
56 # Code from module dtotimespec:
57 # Code from module dup2:
58 # Code from module environ:
59 # Code from module errno:
60 # Code from module euidaccess:
61 # Code from module execinfo:
62 # Code from module extensions:
63 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
64 # Code from module extern-inline:
65 # Code from module faccessat:
66 # Code from module fcntl-h:
67 # Code from module fdatasync:
68 # Code from module fdopendir:
69 # Code from module filemode:
70 # Code from module fpending:
71 # Code from module fstatat:
72 # Code from module fsync:
73 # Code from module getgroups:
74 # Code from module getloadavg:
75 # Code from module getopt-gnu:
76 # Code from module getopt-posix:
77 # Code from module gettext-h:
78 # Code from module gettime:
79 # Code from module gettimeofday:
80 # Code from module group-member:
81 # Code from module ignore-value:
82 # Code from module include_next:
83 # Code from module intprops:
84 # Code from module inttypes-incomplete:
85 # Code from module largefile:
86 AC_REQUIRE([AC_SYS_LARGEFILE])
87 # Code from module lstat:
88 # Code from module manywarnings:
89 # Code from module memrchr:
90 # Code from module mktime:
91 # Code from module multiarch:
92 # Code from module nocrash:
93 # Code from module openat-h:
94 # Code from module pathmax:
95 # Code from module pselect:
96 # Code from module pthread_sigmask:
97 # Code from module putenv:
98 # Code from module qacl:
99 # Code from module readlink:
100 # Code from module readlinkat:
101 # Code from module root-uid:
102 # Code from module sig2str:
103 # Code from module signal-h:
104 # Code from module snippet/_Noreturn:
105 # Code from module snippet/arg-nonnull:
106 # Code from module snippet/c++defs:
107 # Code from module snippet/warn-on-use:
108 # Code from module socklen:
109 # Code from module ssize_t:
110 # Code from module stat:
111 # Code from module stat-time:
112 # Code from module stdalign:
113 # Code from module stdarg:
114 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
115 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
116 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
117 dnl shouldn't hurt, though installers are on their own to set c99 mode.
118 gl_PROG_CC_C99
119 # Code from module stdbool:
120 # Code from module stddef:
121 # Code from module stdint:
122 # Code from module stdio:
123 # Code from module stdlib:
124 # Code from module strftime:
125 # Code from module string:
126 # Code from module strtoimax:
127 # Code from module strtoll:
128 # Code from module strtoull:
129 # Code from module strtoumax:
130 # Code from module symlink:
131 # Code from module sys_select:
132 # Code from module sys_stat:
133 # Code from module sys_time:
134 # Code from module time:
135 # Code from module time_r:
136 # Code from module timer-time:
137 # Code from module timespec:
138 # Code from module timespec-add:
139 # Code from module timespec-sub:
140 # Code from module u64:
141 # Code from module unistd:
142 # Code from module unsetenv:
143 # Code from module utimens:
144 # Code from module verify:
145 # Code from module warnings:
146 # Code from module xalloc-oversized:
147 ])
148
149 # This macro should be invoked from ./configure.ac, in the section
150 # "Check for header files, types and library functions".
151 AC_DEFUN([gl_INIT],
152 [
153 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
154 gl_cond_libtool=false
155 gl_libdeps=
156 gl_ltlibdeps=
157 gl_m4_base='m4'
158 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
159 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
160 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
161 m4_pushdef([gl_LIBSOURCES_LIST], [])
162 m4_pushdef([gl_LIBSOURCES_DIR], [])
163 gl_COMMON
164 gl_source_base='lib'
165 gl_FUNC_ALLOCA
166 AC_CHECK_FUNCS_ONCE([readlinkat])
167 gl_CLOCK_TIME
168 gl_CLOSE_STREAM
169 gl_MODULE_INDICATOR([close-stream])
170 gl_MD5
171 gl_SHA1
172 gl_SHA256
173 gl_SHA512
174 gl_DIRENT_H
175 AC_REQUIRE([gl_C99_STRTOLD])
176 gl_FUNC_DUP2
177 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
178 AC_LIBOBJ([dup2])
179 gl_PREREQ_DUP2
180 fi
181 gl_UNISTD_MODULE_INDICATOR([dup2])
182 gl_ENVIRON
183 gl_UNISTD_MODULE_INDICATOR([environ])
184 gl_HEADER_ERRNO_H
185 gl_EXECINFO_H
186 AC_REQUIRE([gl_EXTERN_INLINE])
187 gl_FUNC_FACCESSAT
188 if test $HAVE_FACCESSAT = 0; then
189 AC_LIBOBJ([faccessat])
190 gl_PREREQ_FACCESSAT
191 fi
192 gl_MODULE_INDICATOR([faccessat])
193 gl_UNISTD_MODULE_INDICATOR([faccessat])
194 gl_FCNTL_H
195 gl_FUNC_FDATASYNC
196 if test $HAVE_FDATASYNC = 0; then
197 AC_LIBOBJ([fdatasync])
198 fi
199 gl_UNISTD_MODULE_INDICATOR([fdatasync])
200 gl_FUNC_FDOPENDIR
201 if test $HAVE_FDOPENDIR = 0 || test $REPLACE_FDOPENDIR = 1; then
202 AC_LIBOBJ([fdopendir])
203 fi
204 gl_DIRENT_MODULE_INDICATOR([fdopendir])
205 gl_MODULE_INDICATOR([fdopendir])
206 gl_FILEMODE
207 gl_FUNC_FPENDING
208 if test $ac_cv_func___fpending = no; then
209 AC_LIBOBJ([fpending])
210 gl_PREREQ_FPENDING
211 fi
212 gl_FUNC_FSTATAT
213 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
214 AC_LIBOBJ([fstatat])
215 fi
216 gl_SYS_STAT_MODULE_INDICATOR([fstatat])
217 gl_FUNC_FSYNC
218 if test $HAVE_FSYNC = 0; then
219 AC_LIBOBJ([fsync])
220 gl_PREREQ_FSYNC
221 fi
222 gl_UNISTD_MODULE_INDICATOR([fsync])
223 gl_GETLOADAVG
224 if test $HAVE_GETLOADAVG = 0; then
225 AC_LIBOBJ([getloadavg])
226 gl_PREREQ_GETLOADAVG
227 fi
228 gl_STDLIB_MODULE_INDICATOR([getloadavg])
229 gl_FUNC_GETOPT_GNU
230 if test $REPLACE_GETOPT = 1; then
231 AC_LIBOBJ([getopt])
232 AC_LIBOBJ([getopt1])
233 gl_PREREQ_GETOPT
234 dnl Arrange for unistd.h to include getopt.h.
235 GNULIB_GL_UNISTD_H_GETOPT=1
236 fi
237 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
238 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
239 gl_FUNC_GETOPT_POSIX
240 if test $REPLACE_GETOPT = 1; then
241 AC_LIBOBJ([getopt])
242 AC_LIBOBJ([getopt1])
243 gl_PREREQ_GETOPT
244 dnl Arrange for unistd.h to include getopt.h.
245 GNULIB_GL_UNISTD_H_GETOPT=1
246 fi
247 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
248 gl_GETTIME
249 gl_FUNC_GETTIMEOFDAY
250 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
251 AC_LIBOBJ([gettimeofday])
252 gl_PREREQ_GETTIMEOFDAY
253 fi
254 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
255 gl_INTTYPES_INCOMPLETE
256 AC_REQUIRE([gl_LARGEFILE])
257 gl_FUNC_LSTAT
258 if test $REPLACE_LSTAT = 1; then
259 AC_LIBOBJ([lstat])
260 gl_PREREQ_LSTAT
261 fi
262 gl_SYS_STAT_MODULE_INDICATOR([lstat])
263 gl_FUNC_MEMRCHR
264 if test $ac_cv_func_memrchr = no; then
265 AC_LIBOBJ([memrchr])
266 gl_PREREQ_MEMRCHR
267 fi
268 gl_STRING_MODULE_INDICATOR([memrchr])
269 gl_FUNC_MKTIME
270 if test $REPLACE_MKTIME = 1; then
271 AC_LIBOBJ([mktime])
272 gl_PREREQ_MKTIME
273 fi
274 gl_TIME_MODULE_INDICATOR([mktime])
275 gl_MULTIARCH
276 gl_FUNC_PSELECT
277 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
278 AC_LIBOBJ([pselect])
279 fi
280 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
281 gl_FUNC_PTHREAD_SIGMASK
282 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
283 AC_LIBOBJ([pthread_sigmask])
284 gl_PREREQ_PTHREAD_SIGMASK
285 fi
286 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
287 gl_FUNC_PUTENV
288 if test $REPLACE_PUTENV = 1; then
289 AC_LIBOBJ([putenv])
290 gl_PREREQ_PUTENV
291 fi
292 gl_STDLIB_MODULE_INDICATOR([putenv])
293 gl_FUNC_ACL
294 gl_FUNC_READLINK
295 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
296 AC_LIBOBJ([readlink])
297 gl_PREREQ_READLINK
298 fi
299 gl_UNISTD_MODULE_INDICATOR([readlink])
300 gl_FUNC_READLINKAT
301 if test $HAVE_READLINKAT = 0; then
302 AC_LIBOBJ([readlinkat])
303 fi
304 gl_UNISTD_MODULE_INDICATOR([readlinkat])
305 gl_FUNC_SIG2STR
306 if test $ac_cv_func_sig2str = no; then
307 AC_LIBOBJ([sig2str])
308 gl_PREREQ_SIG2STR
309 fi
310 gl_SIGNAL_H
311 gl_TYPE_SOCKLEN_T
312 gt_TYPE_SSIZE_T
313 gl_STAT_TIME
314 gl_STAT_BIRTHTIME
315 gl_STDALIGN_H
316 gl_STDARG_H
317 AM_STDBOOL_H
318 gl_STDDEF_H
319 gl_STDINT_H
320 gl_STDIO_H
321 gl_STDLIB_H
322 gl_FUNC_GNU_STRFTIME
323 gl_HEADER_STRING_H
324 gl_FUNC_STRTOIMAX
325 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
326 AC_LIBOBJ([strtoimax])
327 gl_PREREQ_STRTOIMAX
328 fi
329 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
330 gl_FUNC_STRTOUMAX
331 if test $ac_cv_func_strtoumax = no; then
332 AC_LIBOBJ([strtoumax])
333 gl_PREREQ_STRTOUMAX
334 fi
335 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
336 gl_FUNC_SYMLINK
337 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
338 AC_LIBOBJ([symlink])
339 fi
340 gl_UNISTD_MODULE_INDICATOR([symlink])
341 gl_HEADER_SYS_SELECT
342 AC_PROG_MKDIR_P
343 gl_HEADER_SYS_STAT_H
344 AC_PROG_MKDIR_P
345 gl_HEADER_SYS_TIME_H
346 AC_PROG_MKDIR_P
347 gl_HEADER_TIME_H
348 gl_TIME_R
349 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
350 AC_LIBOBJ([time_r])
351 gl_PREREQ_TIME_R
352 fi
353 gl_TIME_MODULE_INDICATOR([time_r])
354 gl_TIMER_TIME
355 gl_TIMESPEC
356 gl_UNISTD_H
357 gl_FUNC_UNSETENV
358 if test $HAVE_UNSETENV = 0 || test $REPLACE_UNSETENV = 1; then
359 AC_LIBOBJ([unsetenv])
360 gl_PREREQ_UNSETENV
361 fi
362 gl_STDLIB_MODULE_INDICATOR([unsetenv])
363 gl_UTIMENS
364 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=false
365 gl_gnulib_enabled_dosname=false
366 gl_gnulib_enabled_euidaccess=false
367 gl_gnulib_enabled_getgroups=false
368 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
369 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
370 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=false
371 gl_gnulib_enabled_pathmax=false
372 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
373 gl_gnulib_enabled_stat=false
374 gl_gnulib_enabled_strtoll=false
375 gl_gnulib_enabled_strtoull=false
376 gl_gnulib_enabled_verify=false
377 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
378 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b ()
379 {
380 if ! $gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b; then
381 AC_LIBOBJ([openat-proc])
382 gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b=true
383 fi
384 }
385 func_gl_gnulib_m4code_dosname ()
386 {
387 if ! $gl_gnulib_enabled_dosname; then
388 gl_gnulib_enabled_dosname=true
389 fi
390 }
391 func_gl_gnulib_m4code_euidaccess ()
392 {
393 if ! $gl_gnulib_enabled_euidaccess; then
394 gl_FUNC_EUIDACCESS
395 if test $HAVE_EUIDACCESS = 0; then
396 AC_LIBOBJ([euidaccess])
397 gl_PREREQ_EUIDACCESS
398 fi
399 gl_UNISTD_MODULE_INDICATOR([euidaccess])
400 gl_gnulib_enabled_euidaccess=true
401 if test $HAVE_EUIDACCESS = 0; then
402 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
403 fi
404 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
405 if test $HAVE_EUIDACCESS = 0; then
406 func_gl_gnulib_m4code_stat
407 fi
408 fi
409 }
410 func_gl_gnulib_m4code_getgroups ()
411 {
412 if ! $gl_gnulib_enabled_getgroups; then
413 gl_FUNC_GETGROUPS
414 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
415 AC_LIBOBJ([getgroups])
416 fi
417 gl_UNISTD_MODULE_INDICATOR([getgroups])
418 gl_gnulib_enabled_getgroups=true
419 fi
420 }
421 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
422 {
423 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
424 AC_SUBST([LIBINTL])
425 AC_SUBST([LTLIBINTL])
426 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
427 fi
428 }
429 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
430 {
431 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
432 gl_FUNC_GROUP_MEMBER
433 if test $HAVE_GROUP_MEMBER = 0; then
434 AC_LIBOBJ([group-member])
435 gl_PREREQ_GROUP_MEMBER
436 fi
437 gl_UNISTD_MODULE_INDICATOR([group-member])
438 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
439 if test $HAVE_GROUP_MEMBER = 0; then
440 func_gl_gnulib_m4code_getgroups
441 fi
442 if test $HAVE_GROUP_MEMBER = 0; then
443 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
444 fi
445 fi
446 }
447 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7 ()
448 {
449 if ! $gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7; then
450 gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7=true
451 fi
452 }
453 func_gl_gnulib_m4code_pathmax ()
454 {
455 if ! $gl_gnulib_enabled_pathmax; then
456 gl_PATHMAX
457 gl_gnulib_enabled_pathmax=true
458 fi
459 }
460 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
461 {
462 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
463 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
464 fi
465 }
466 func_gl_gnulib_m4code_stat ()
467 {
468 if ! $gl_gnulib_enabled_stat; then
469 gl_FUNC_STAT
470 if test $REPLACE_STAT = 1; then
471 AC_LIBOBJ([stat])
472 gl_PREREQ_STAT
473 fi
474 gl_SYS_STAT_MODULE_INDICATOR([stat])
475 gl_gnulib_enabled_stat=true
476 if test $REPLACE_STAT = 1; then
477 func_gl_gnulib_m4code_dosname
478 fi
479 if test $REPLACE_STAT = 1; then
480 func_gl_gnulib_m4code_pathmax
481 fi
482 if test $REPLACE_STAT = 1; then
483 func_gl_gnulib_m4code_verify
484 fi
485 fi
486 }
487 func_gl_gnulib_m4code_strtoll ()
488 {
489 if ! $gl_gnulib_enabled_strtoll; then
490 gl_FUNC_STRTOLL
491 if test $HAVE_STRTOLL = 0; then
492 AC_LIBOBJ([strtoll])
493 gl_PREREQ_STRTOLL
494 fi
495 gl_STDLIB_MODULE_INDICATOR([strtoll])
496 gl_gnulib_enabled_strtoll=true
497 fi
498 }
499 func_gl_gnulib_m4code_strtoull ()
500 {
501 if ! $gl_gnulib_enabled_strtoull; then
502 gl_FUNC_STRTOULL
503 if test $HAVE_STRTOULL = 0; then
504 AC_LIBOBJ([strtoull])
505 gl_PREREQ_STRTOULL
506 fi
507 gl_STDLIB_MODULE_INDICATOR([strtoull])
508 gl_gnulib_enabled_strtoull=true
509 fi
510 }
511 func_gl_gnulib_m4code_verify ()
512 {
513 if ! $gl_gnulib_enabled_verify; then
514 gl_gnulib_enabled_verify=true
515 fi
516 }
517 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
518 {
519 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
520 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
521 fi
522 }
523 if test $HAVE_FACCESSAT = 0; then
524 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
525 fi
526 if test $HAVE_FACCESSAT = 0; then
527 func_gl_gnulib_m4code_dosname
528 fi
529 if test $HAVE_FACCESSAT = 0; then
530 func_gl_gnulib_m4code_euidaccess
531 fi
532 if test $HAVE_FACCESSAT = 0; then
533 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
534 fi
535 if test $HAVE_FDOPENDIR = 0; then
536 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
537 fi
538 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
539 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
540 fi
541 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
542 func_gl_gnulib_m4code_dosname
543 fi
544 if test $HAVE_FSTATAT = 0 || test $REPLACE_FSTATAT = 1; then
545 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
546 fi
547 if test $REPLACE_GETOPT = 1; then
548 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
549 fi
550 if test $REPLACE_LSTAT = 1; then
551 func_gl_gnulib_m4code_dosname
552 fi
553 if test $REPLACE_LSTAT = 1; then
554 func_gl_gnulib_m4code_stat
555 fi
556 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
557 func_gl_gnulib_m4code_stat
558 fi
559 if test $HAVE_READLINKAT = 0; then
560 func_gl_gnulib_m4code_260941c0e5dc67ec9e87d1fb321c300b
561 fi
562 if test $HAVE_READLINKAT = 0; then
563 func_gl_gnulib_m4code_dosname
564 fi
565 if test $HAVE_READLINKAT = 0; then
566 func_gl_gnulib_m4code_03e0aaad4cb89ca757653bd367a6ccb7
567 fi
568 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
569 func_gl_gnulib_m4code_strtoll
570 fi
571 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
572 func_gl_gnulib_m4code_verify
573 fi
574 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
575 func_gl_gnulib_m4code_strtoull
576 fi
577 if test $ac_cv_func_strtoumax = no; then
578 func_gl_gnulib_m4code_verify
579 fi
580 m4_pattern_allow([^gl_GNULIB_ENABLED_])
581 AM_CONDITIONAL([gl_GNULIB_ENABLED_260941c0e5dc67ec9e87d1fb321c300b], [$gl_gnulib_enabled_260941c0e5dc67ec9e87d1fb321c300b])
582 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
583 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
584 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
585 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
586 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
587 AM_CONDITIONAL([gl_GNULIB_ENABLED_03e0aaad4cb89ca757653bd367a6ccb7], [$gl_gnulib_enabled_03e0aaad4cb89ca757653bd367a6ccb7])
588 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
589 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
590 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
591 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
592 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
593 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
594 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
595 # End of code from modules
596 m4_ifval(gl_LIBSOURCES_LIST, [
597 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
598 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
599 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
600 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
601 exit 1
602 fi
603 done])dnl
604 m4_if(m4_sysval, [0], [],
605 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
606 ])
607 m4_popdef([gl_LIBSOURCES_DIR])
608 m4_popdef([gl_LIBSOURCES_LIST])
609 m4_popdef([AC_LIBSOURCES])
610 m4_popdef([AC_REPLACE_FUNCS])
611 m4_popdef([AC_LIBOBJ])
612 AC_CONFIG_COMMANDS_PRE([
613 gl_libobjs=
614 gl_ltlibobjs=
615 if test -n "$gl_LIBOBJS"; then
616 # Remove the extension.
617 sed_drop_objext='s/\.o$//;s/\.obj$//'
618 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
619 gl_libobjs="$gl_libobjs $i.$ac_objext"
620 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
621 done
622 fi
623 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
624 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
625 ])
626 gltests_libdeps=
627 gltests_ltlibdeps=
628 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
629 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
630 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
631 m4_pushdef([gltests_LIBSOURCES_LIST], [])
632 m4_pushdef([gltests_LIBSOURCES_DIR], [])
633 gl_COMMON
634 gl_source_base='tests'
635 changequote(,)dnl
636 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
637 changequote([, ])dnl
638 AC_SUBST([gltests_WITNESS])
639 gl_module_indicator_condition=$gltests_WITNESS
640 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
641 m4_pattern_allow([^gl_GNULIB_ENABLED_])
642 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
643 m4_ifval(gltests_LIBSOURCES_LIST, [
644 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
645 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
646 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
647 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
648 exit 1
649 fi
650 done])dnl
651 m4_if(m4_sysval, [0], [],
652 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
653 ])
654 m4_popdef([gltests_LIBSOURCES_DIR])
655 m4_popdef([gltests_LIBSOURCES_LIST])
656 m4_popdef([AC_LIBSOURCES])
657 m4_popdef([AC_REPLACE_FUNCS])
658 m4_popdef([AC_LIBOBJ])
659 AC_CONFIG_COMMANDS_PRE([
660 gltests_libobjs=
661 gltests_ltlibobjs=
662 if test -n "$gltests_LIBOBJS"; then
663 # Remove the extension.
664 sed_drop_objext='s/\.o$//;s/\.obj$//'
665 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
666 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
667 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
668 done
669 fi
670 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
671 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
672 ])
673 LIBGNU_LIBDEPS="$gl_libdeps"
674 AC_SUBST([LIBGNU_LIBDEPS])
675 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
676 AC_SUBST([LIBGNU_LTLIBDEPS])
677 ])
678
679 # Like AC_LIBOBJ, except that the module name goes
680 # into gl_LIBOBJS instead of into LIBOBJS.
681 AC_DEFUN([gl_LIBOBJ], [
682 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
683 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
684 ])
685
686 # Like AC_REPLACE_FUNCS, except that the module name goes
687 # into gl_LIBOBJS instead of into LIBOBJS.
688 AC_DEFUN([gl_REPLACE_FUNCS], [
689 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
690 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
691 ])
692
693 # Like AC_LIBSOURCES, except the directory where the source file is
694 # expected is derived from the gnulib-tool parameterization,
695 # and alloca is special cased (for the alloca-opt module).
696 # We could also entirely rely on EXTRA_lib..._SOURCES.
697 AC_DEFUN([gl_LIBSOURCES], [
698 m4_foreach([_gl_NAME], [$1], [
699 m4_if(_gl_NAME, [alloca.c], [], [
700 m4_define([gl_LIBSOURCES_DIR], [lib])
701 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
702 ])
703 ])
704 ])
705
706 # Like AC_LIBOBJ, except that the module name goes
707 # into gltests_LIBOBJS instead of into LIBOBJS.
708 AC_DEFUN([gltests_LIBOBJ], [
709 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
710 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
711 ])
712
713 # Like AC_REPLACE_FUNCS, except that the module name goes
714 # into gltests_LIBOBJS instead of into LIBOBJS.
715 AC_DEFUN([gltests_REPLACE_FUNCS], [
716 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
717 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
718 ])
719
720 # Like AC_LIBSOURCES, except the directory where the source file is
721 # expected is derived from the gnulib-tool parameterization,
722 # and alloca is special cased (for the alloca-opt module).
723 # We could also entirely rely on EXTRA_lib..._SOURCES.
724 AC_DEFUN([gltests_LIBSOURCES], [
725 m4_foreach([_gl_NAME], [$1], [
726 m4_if(_gl_NAME, [alloca.c], [], [
727 m4_define([gltests_LIBSOURCES_DIR], [tests])
728 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
729 ])
730 ])
731 ])
732
733 # This macro records the list of files which have been installed by
734 # gnulib-tool and may be removed by future gnulib-tool invocations.
735 AC_DEFUN([gl_FILE_LIST], [
736 build-aux/snippet/_Noreturn.h
737 build-aux/snippet/arg-nonnull.h
738 build-aux/snippet/c++defs.h
739 build-aux/snippet/warn-on-use.h
740 lib/acl-errno-valid.c
741 lib/acl-internal.h
742 lib/acl.h
743 lib/acl_entries.c
744 lib/alloca.in.h
745 lib/allocator.c
746 lib/allocator.h
747 lib/at-func.c
748 lib/c-ctype.c
749 lib/c-ctype.h
750 lib/c-strcase.h
751 lib/c-strcasecmp.c
752 lib/c-strncasecmp.c
753 lib/careadlinkat.c
754 lib/careadlinkat.h
755 lib/close-stream.c
756 lib/close-stream.h
757 lib/dirent.in.h
758 lib/dosname.h
759 lib/dtoastr.c
760 lib/dtotimespec.c
761 lib/dup2.c
762 lib/errno.in.h
763 lib/euidaccess.c
764 lib/execinfo.c
765 lib/execinfo.in.h
766 lib/faccessat.c
767 lib/fcntl.in.h
768 lib/fdatasync.c
769 lib/fdopendir.c
770 lib/file-has-acl.c
771 lib/filemode.c
772 lib/filemode.h
773 lib/fpending.c
774 lib/fpending.h
775 lib/fstatat.c
776 lib/fsync.c
777 lib/ftoastr.c
778 lib/ftoastr.h
779 lib/getgroups.c
780 lib/getloadavg.c
781 lib/getopt.c
782 lib/getopt.in.h
783 lib/getopt1.c
784 lib/getopt_int.h
785 lib/gettext.h
786 lib/gettime.c
787 lib/gettimeofday.c
788 lib/group-member.c
789 lib/ignore-value.h
790 lib/intprops.h
791 lib/inttypes.in.h
792 lib/lstat.c
793 lib/md5.c
794 lib/md5.h
795 lib/memrchr.c
796 lib/mktime-internal.h
797 lib/mktime.c
798 lib/openat-priv.h
799 lib/openat-proc.c
800 lib/openat.h
801 lib/pathmax.h
802 lib/pselect.c
803 lib/pthread_sigmask.c
804 lib/putenv.c
805 lib/qcopy-acl.c
806 lib/qset-acl.c
807 lib/readlink.c
808 lib/readlinkat.c
809 lib/root-uid.h
810 lib/sha1.c
811 lib/sha1.h
812 lib/sha256.c
813 lib/sha256.h
814 lib/sha512.c
815 lib/sha512.h
816 lib/sig2str.c
817 lib/sig2str.h
818 lib/signal.in.h
819 lib/stat-time.c
820 lib/stat-time.h
821 lib/stat.c
822 lib/stdalign.in.h
823 lib/stdarg.in.h
824 lib/stdbool.in.h
825 lib/stddef.in.h
826 lib/stdint.in.h
827 lib/stdio.in.h
828 lib/stdlib.in.h
829 lib/strftime.c
830 lib/strftime.h
831 lib/string.in.h
832 lib/strtoimax.c
833 lib/strtol.c
834 lib/strtoll.c
835 lib/strtoul.c
836 lib/strtoull.c
837 lib/strtoumax.c
838 lib/symlink.c
839 lib/sys_select.in.h
840 lib/sys_stat.in.h
841 lib/sys_time.in.h
842 lib/time.in.h
843 lib/time_r.c
844 lib/timespec-add.c
845 lib/timespec-sub.c
846 lib/timespec.c
847 lib/timespec.h
848 lib/u64.c
849 lib/u64.h
850 lib/unistd.c
851 lib/unistd.in.h
852 lib/unsetenv.c
853 lib/utimens.c
854 lib/utimens.h
855 lib/verify.h
856 lib/xalloc-oversized.h
857 m4/00gnulib.m4
858 m4/acl.m4
859 m4/alloca.m4
860 m4/c-strtod.m4
861 m4/clock_time.m4
862 m4/close-stream.m4
863 m4/dirent_h.m4
864 m4/dup2.m4
865 m4/environ.m4
866 m4/errno_h.m4
867 m4/euidaccess.m4
868 m4/execinfo.m4
869 m4/extensions.m4
870 m4/extern-inline.m4
871 m4/faccessat.m4
872 m4/fcntl-o.m4
873 m4/fcntl_h.m4
874 m4/fdatasync.m4
875 m4/fdopendir.m4
876 m4/filemode.m4
877 m4/fpending.m4
878 m4/fstatat.m4
879 m4/fsync.m4
880 m4/getgroups.m4
881 m4/getloadavg.m4
882 m4/getopt.m4
883 m4/gettime.m4
884 m4/gettimeofday.m4
885 m4/gnulib-common.m4
886 m4/group-member.m4
887 m4/include_next.m4
888 m4/inttypes.m4
889 m4/largefile.m4
890 m4/longlong.m4
891 m4/lstat.m4
892 m4/manywarnings.m4
893 m4/md5.m4
894 m4/memrchr.m4
895 m4/mktime.m4
896 m4/multiarch.m4
897 m4/nocrash.m4
898 m4/off_t.m4
899 m4/pathmax.m4
900 m4/pselect.m4
901 m4/pthread_sigmask.m4
902 m4/putenv.m4
903 m4/readlink.m4
904 m4/readlinkat.m4
905 m4/setenv.m4
906 m4/sha1.m4
907 m4/sha256.m4
908 m4/sha512.m4
909 m4/sig2str.m4
910 m4/signal_h.m4
911 m4/socklen.m4
912 m4/ssize_t.m4
913 m4/st_dm_mode.m4
914 m4/stat-time.m4
915 m4/stat.m4
916 m4/stdalign.m4
917 m4/stdarg.m4
918 m4/stdbool.m4
919 m4/stddef_h.m4
920 m4/stdint.m4
921 m4/stdio_h.m4
922 m4/stdlib_h.m4
923 m4/strftime.m4
924 m4/string_h.m4
925 m4/strtoimax.m4
926 m4/strtoll.m4
927 m4/strtoull.m4
928 m4/strtoumax.m4
929 m4/symlink.m4
930 m4/sys_select_h.m4
931 m4/sys_socket_h.m4
932 m4/sys_stat_h.m4
933 m4/sys_time_h.m4
934 m4/time_h.m4
935 m4/time_r.m4
936 m4/timer_time.m4
937 m4/timespec.m4
938 m4/tm_gmtoff.m4
939 m4/unistd_h.m4
940 m4/utimbuf.m4
941 m4/utimens.m4
942 m4/utimes.m4
943 m4/warn-on-use.m4
944 m4/warnings.m4
945 m4/wchar_t.m4
946 ])